﻿/**MAIN STYLES**/

h3 .subtitle {
  font-size: .75rem;
  color: #444;
  display: block;
  line-height: .75rem;
}

.module-content {
  box-sizing: border-box;
}

.module-sections {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.module-sections.empty {
  background-image: url('https://info.mutualistaazuay.com/Portals/0/SimuladorCredito/ImagenSimulador.jpg');
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: right;
}

.module-section {
  box-sizing: border-box;
  flex-basis: 20%;
  flex-grow: 1;
  margin-top: 25px;
  font-size: 14px;
}

.module-section.result-part {
  display: none;
}

.module-section:first-child {
  max-width: 500px;
  flex-grow: 2;
  padding-right: 25px;
  background-color: #fff
}

.module-results {
  box-sizing: border-box;
  background-color: #fff;
  border: 1px solid var(--medium-gray);
  padding: 20px;
  height: 100%;
  margin: 0 10px;
  background-color: #fff;
  border-radius:10px;
}

.module-results .item-section {
  margin: 15px 0
}

.module-results .item-section:empty {
  display: none;
}

.module-results .item-section label {
  font-weight: bold;
}

.module-results .dnnPrimaryAction {
  padding: 6px 16px;
}

.module-results .rate {
  font-size: 18px;
}

.module-results .inadequate {
  background-color: #FCDFE6;
  border: 2px solid #F29DB0;
  padding: 10px;
  box-sizing: border-box;
  font-size: 14pxs;
}

.item-section.centered {
  text-align: center;
  width: inherit !important;
}

.hidden {
  display: none;
}

.error {
  color: red;
}

.quota-section {
  padding: 20px 5px;
  background-color: #f3f3f3;
}

.quota-text {
  line-height: 30px;
  padding-left: 10px;
}

.quota {
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  margin: 5px;
}

.detailed-result-header {
  margin: 10px auto
}

.detailed-result-header table {
  width: 100%;
  border-spacing: 0px;
  border-collapse: collapse;
}

.detailed-result-header thead {
  text-align: left
}

.detailed-result-header th,
.detailed-result-header td {
  padding: 6px;
  border: 1px solid #cacaca;
}

.detailed-result-body table {
  width: 100%;
  border-collapse: collapse;
}

.detailed-result-body thead {
  color: #fff;
  background-color: var(--primary-color);
}

.detailed-result-body table tbody tr:nth-of-type(odd) td {
  background-color: #dadada;
}

.detailed-result-body table tbody tr:nth-of-type(even) td {
  background-color: #ffffff;
}

.detailed-result-body td {
  padding: 6px;
}

.detailed-result-body table>thead.no-realstate th:nth-child(7),
.detailed-result-body table>tbody.no-realstate td:nth-child(7) {
  display: none;
}


span.error {
  margin: 0 10px;
}

.dnnForm .dnnFormItem input[type=text],
.dnnForm .dnnFormItem select {
  box-shadow: none;
  margin-bottom: 0;
  max-width: initial;
  border: none;
  border-radius: 8px;
  border: 1px solid var(--medium-gray);
  position: relative;
  padding: 7px 20px !important;
  width: 100%;
  font-size: 14px;
  text-align: right;
}

.dnnForm .dnnFormItem select {
  text-align: left;
  -webkit-appearance: none;
  background: url(Images/ArrowSelect.png) no-repeat 95% center;
}

.dnnForm input.dnnFormRequired {
  border-left: 5px red solid !important
}

.dnnForm .dnnFormItem label {
  font-weight: bold;
  font-size: 14px;
  display: block;
  margin: 10px 0;
}

.dnnForm .dnnFormItem .items {
  display: flex;
  flex-direction: row;
}

.dnnForm .dnnFormItem .items .suffix {
  align-content: center;
  font-weight: 600;
  font-size: 14px;
}

.dnnForm .dnnFormItem .rangeslider {
  margin-right: 20px;
  margin-top: 7px;
}

button {
  font-size: 14px;
}

.module-sections .dnnPrimaryAction,
.module-sections .dnnPrimaryAction:visited {
  background: none;
  background-color: var(--primary-color);
  font-size: 14px;
  color: #fff !important;
  padding: 15px 25px;
  border-radius: 10px;
  display: inline-block;
  text-decoration: none;
  box-shadow: none;
  border: none;
  text-align: center;
  text-shadow: none;
  text-transform: uppercase;
  min-width: 100px;
  transition: var(--default-transition);
}

.module-sections .dnnPrimaryAction:hover,
.module-sections .dnnPrimaryAction:visited:hover {
  background-color: var(--primary-color-hover);
  transition: var(--default-transition);
}

.module-sections .dnnSecondaryAction,
.module-sections .dnnSecondaryAction:visited {
  font-size: 14px;
  background-color: var(--light-gray);
  color: var(--default-font-color);
  padding: 15px 25px;
  border-radius: 10px;
  display: inline-block;
  text-decoration: none;
  box-shadow: none;
  text-align: center;
  min-width: 100px;
  background-image: none;
  text-shadow: none;
  border: none;
  text-transform: uppercase;
  transition: var(--default-transition);
}

.dnnForm .dnnActions .dnnSecondaryAction:hover,
.dnnForm .dnnActions .dnnSecondaryAction:visited:hover {
  background-color: var(--medium-gray);
  transition: var(--default-transition);
}

div.ui-dialog-titlebar>.ui-dialog-titlebar-close {
  top: 0;
  right: 0;
}

.info-table {
  border-collapse: collapse;
  border: 1px solid #999;
  margin-top: 25px;
}

.info-table td {
  padding: 10px;
  border: 1px solid #999;
}

/**RANGE SLIDER**/
.rangeslider::before {
  display: block;
  font-size: 11px;
  line-height: 60px;
  content: attr(min);
  text-align: left
}

.rangeslider::after {
  display: block;
  font-size: 11px;
  content: attr(max);
  text-align: right;
  margin-top: -40px;
}

.rangeslider__fill {
  background-color: var(--secondary-color);
}

.rangeslider--horizontal {
  height: 10px;
}

.rangeslider__handle {
  width: 25px;
  height: 25px;
}

.rangeslider__handle:after {
  width: 12px;
  height: 12px;
}

@media all and (max-width:768px) {

  .module-content {
    padding: 0 30px;
  }

  .module-sections {
    flex-direction: column;
  }

  .module-section:first-child {
    max-width: none;
  }

  .module-results {
    width: 100%;
  }

  .dnnActions {
    text-align: center;
  }

  #seeDetails {
    display: none;
  }
}

@media print {
  .ui-dialog-title {
    display: block;
    font-size: 24px;
    text-align: center
  }

  button,
  a,
  input[type='button'] {
    display: none
  }

  tr td,
  tr th {
    page-break-inside: avoid;
    margin: 4px 0 4px 0;
  }
}